## golang-github-cavaliergopher-grab 3.0.1

=== Makefile ===
GO = go
GOGET = $(GO) get -u

all: check

check:
	cd v3 && $(GO) test -v -cover -race ./...
	cd v3/cmd/grab && $(MAKE) -B all

install:
	cd v3/cmd/grab && $(MAKE) install

clean:
	cd v3 && $(GO) clean -x ./...
	rm -rvf ./.test*

.PHONY: all check install clean

=== v3/cmd/grab/Makefile ===
SOURCES = main.go

all : grab

grab: $(SOURCES)
	go build -o grab $(SOURCES)

clean:
	go clean -x
	rm -vf grab

check:
	go test -v .

install:
	go install -v .

.PHONY: all clean check install

=== debian/changelog ===
golang-github-cavaliergopher-grab (3.0.1-3build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:14:52 +1200

golang-github-cavaliergopher-grab (3.0.1-3) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Mon, 30 Jan 2023 16:44:04 +0100

golang-github-cavaliergopher-grab (3.0.1-2) unstable; urgency=medium

  * Fix debian/copyright.

 -- Roland Mas <lolando@debian.org>  Wed, 11 Jan 2023 17:35:52 +0100

golang-github-cavaliergopher-grab (3.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #1022720)

 -- Roland Mas <lolando@debian.org>  Mon, 02 Jan 2023 13:02:11 +0100

=== debian/control ===
Source: golang-github-cavaliergopher-grab
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Roland Mas <lolando@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
	       pandoc
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-cavaliergopher-grab
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-cavaliergopher-grab.git
Homepage: https://github.com/cavaliergopher/grab
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/cavaliergopher/grab

Package: golang-github-cavaliergopher-grab-dev
Architecture: all
Depends: ${misc:Depends}
Description: Download manager package for Go (library)
 Downloading the internet, one goroutine at a time!
 .
 Grab is a Go package for downloading files from the internet with the
 following rad features:
  - Monitor download progress concurrently
  - Auto-resume incomplete downloads
  - Guess filename from content header or URL path
  - Safely cancel downloads using context.Context
  - Validate downloads using checksums
  - Download batches of files concurrently
  - Apply rate limiters
 .
 This package contains the library.

Package: grab
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Download manager package for Go (program)
 Downloading the internet, one goroutine at a time!
 .
 Grab is a Go package for downloading files from the internet with the
 following rad features:
  - Monitor download progress concurrently
  - Auto-resume incomplete downloads
  - Guess filename from content header or URL path
  - Safely cancel downloads using context.Context
  - Validate downloads using checksums
  - Download batches of files concurrently
  - Apply rate limiters
 .
 This package contains the grab program.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build --builddirectory=_build --buildsystem=golang
	pandoc --standalone -o grab.1 debian/grab.1.md

override_dh_auto_clean:
	dh_auto_clean --builddirectory=_build --buildsystem=golang
	rm -f grab.1
